org.keycloak.services.managers

## Class ApplicationManager.InstallationAdapterConfig

- java.lang.Object
- - org.keycloak.representations.adapters.config.BaseRealmConfig
  - - org.keycloak.services.managers.ApplicationManager.InstallationAdapterConfig

- Enclosing class:
    ApplicationManager

      public static class ApplicationManager.InstallationAdapterConfig
      extends BaseRealmConfig

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `bearerOnly`
    `protected Map<String,String>` | `credentials`
    `protected Boolean` | `publicClient`
    `protected String` | `resource`
    `protected Boolean` | `useResourceRoleMappings`

    - ### Fields inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `authServerUrl, realm, realmKey, sslNotRequired`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationManager.InstallationAdapterConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getBearerOnly()`
    `Map<String,String>` | `getCredentials()`
    `Boolean` | `getPublicClient()`
    `String` | `getResource()`
    `Boolean` | `isUseResourceRoleMappings()`
    `void` | `setBearerOnly(Boolean bearerOnly)`
    `void` | `setCredentials(Map<String,String> credentials)`
    `void` | `setPublicClient(Boolean publicClient)`
    `void` | `setResource(String resource)`
    `void` | `setUseResourceRoleMappings(Boolean useResourceRoleMappings)`

    - ### Methods inherited from class org.keycloak.representations.adapters.config.BaseRealmConfig

      `getAuthServerUrl, getRealm, getRealmKey, isSslNotRequired, setAuthServerUrl, setRealm, setRealmKey, setSslNotRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resource

          protected String resource

    - #### useResourceRoleMappings

          protected Boolean useResourceRoleMappings

    - #### bearerOnly

          protected Boolean bearerOnly

    - #### publicClient

          protected Boolean publicClient

    - #### credentials

          protected Map<String,String> credentials

  - ### Constructor Detail

    - #### ApplicationManager.InstallationAdapterConfig

          public ApplicationManager.InstallationAdapterConfig()

  - ### Method Detail

    - #### isUseResourceRoleMappings

          public Boolean isUseResourceRoleMappings()

    - #### setUseResourceRoleMappings

          public void setUseResourceRoleMappings(Boolean useResourceRoleMappings)

    - #### getResource

          public String getResource()

    - #### setResource

          public void setResource(String resource)

    - #### getCredentials

          public Map<String,String> getCredentials()

    - #### setCredentials

          public void setCredentials(Map<String,String> credentials)

    - #### getPublicClient

          public Boolean getPublicClient()

    - #### setPublicClient

          public void setPublicClient(Boolean publicClient)

    - #### getBearerOnly

          public Boolean getBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(Boolean bearerOnly)

Copyright © 2014. All Rights Reserved.